Package com.tietoenator.trip.jxp.session

# Class TdbGridSession

java.lang.Object
com.tietoenator.trip.jxp.session.TdbSessionObject
com.tietoenator.trip.jxp.TdbMessageProvider
com.tietoenator.trip.jxp.session.TdbSession
com.tietoenator.trip.jxp.session.TdbGridSession

All Implemented Interfaces:
  `com.tietoenator.trip.jxp.internal.utils.DOMSink`

public class TdbGridSession extends TdbSession
Constructs and provides access to a session via XML/HTTP to the TRIP grid web service.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TdbGridSession(String server, int port)`
  Constructor

- ## Method Summary

  ### Methods inherited from class com.tietoenator.trip.jxp.session.TdbSession

  `authenticate, dateforms, enableLogging, enableNotification, enableNotification, fieldTypes, getActivityLog, getApiKeyMode, getBackgroundTaskSink, getBuildNumber, getCharacterSet, getCharacterSetName, getControlCache, getCurrentDateform, getDateform, getDefaultQueueName, getDefinedViews, getFieldType, getFieldType, getJobResultSink, getNotificationSink, getPid, getRevisionNumber, getServerApiLog, getServerName, getServerXpiLog, getSessionId, getSessionType, getSubsystemID, getSubsystemName, getUsername, getVersion, hasLogCheckpoint, isApiLogEnabled, isConnected, isFileManager, isLicensedFor, isLoggedIn, isSystemManager, isTicketsEnabled, isTokensEnabled, isUserManager, isWorking, isXpiLogEnabled, licensedProducts, login, login, logout, logout, pollJobResults, refreshAccessToken, requestAccessToken, requestLoginTicket, revokeLoginTicket, revokeToken, revokeTokens, setActivityLog, setBackgroundTaskSink, setJobResultSink, setLogCheckpoint, setNotificationSink, subsystemNames, supportsFeature, validate, writeActivityLog`

  ### Methods inherited from class com.tietoenator.trip.jxp.TdbMessageProvider

  `codeList, getLastCode, getLastMessage, hasMessages, messageList, resetMessages`

  ### Methods inherited from class com.tietoenator.trip.jxp.session.TdbSessionObject

  `cancel, getSession, isCancelable, setCancelable`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### TdbGridSession

    public TdbGridSession(String server, int port) throws TdbException
    Constructor
    Parameters:
      `server` - The name or IP address of the server to connect to
      `port` - The port number on which the web service is running
    Throws:
      `TdbException`